/*
 * Copyright (C) 2007 Nicolas Joseph
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 3 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */
#ifndef H_NJ_GTK_TREE_FILTER_FILTER_20070127232712
#define H_NJ_GTK_TREE_FILTER_FILTER_20070127232712

#include <gtk/gtkframe.h>
#include <gtk/gtktreeview.h>

G_BEGIN_DECLS

#define GTK_TYPE_TREE_VIEW_FILTER			       (gtk_tree_view_filter_get_type ())
#define GTK_TREE_VIEW_FILTER(obj)			       (G_TYPE_CHECK_INSTANCE_CAST ((obj), GTK_TYPE_TREE_VIEW_FILTER, GtkTreeViewFilter))
#define GTK_TREE_VIEW_FILTER_CLASS(klass)		 (G_TYPE_CHECK_CLASS_CAST ((klass), GTK_TYPE_TREE_VIEW_FILTER, GtkTreeViewFilter))
#define GTK_IS_TREE_VIEW_FILTER(obj)		     (G_TYPE_CHECK_INSTANCE_TYPE ((obj), GTK_TYPE_TREE_VIEW_FILTER))
#define GTK_IS_TREE_VIEW_FILTER_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), GTK_TYPE_TREE_VIEW_FILTER))
#define GTK_TREE_VIEW_GET_FILTER_CLASS(obj)  (G_TYPE_INSTANCE_GET_CLASS ((obj), GTK_TYPE_TREE_VIEW_FILTER, GtkTreeViewFilter))

typedef struct _GtkTreeViewFilter      GtkTreeViewFilter;
typedef struct _GtkTreeViewFilterClass GtkTreeViewFilterClass;

struct _GtkTreeViewFilter
{
  GtkFrame parent;
};

struct _GtkTreeViewFilterClass
{
  GtkFrameClass parent_class;
};

GType gtk_tree_view_filter_get_type (void) G_GNUC_CONST;

GtkWidget *gtk_tree_view_filter_new (void);
GtkTreeView *gtk_tree_view_filter_get_tree_view (GtkTreeViewFilter *);
void gtk_tree_view_filter_set_items (GtkTreeViewFilter *, GList *);
void gtk_tree_view_filter_set_prefix (GtkTreeViewFilter *, const gchar *);

G_END_DECLS

#endif /* not H_NJ_GTK_TREE_FILTER_FILTER_20070127232712 */

